opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::VideoWriter Class Reference

`#include <highgui.hpp>`

## Public Member Functions
virtual CV_WRAP bool | isOpened () const
virtual CV_WRAP bool | open (const string &filename, int fourcc, double fps, Size frameSize, bool isColor=true)
virtual VideoWriter & | operator<< (const Mat &image)
CV_WRAP | VideoWriter ()
CV_WRAP | VideoWriter (const string &filename, int fourcc, double fps, Size frameSize, bool isColor=true)
virtual CV_WRAP void | write (const Mat &image)
virtual | ~VideoWriter ()

## Protected Attributes
Ptr< CvVideoWriter > | writer

## Constructor & Destructor Documentation

CV_WRAP cv::VideoWriter::VideoWriter | ( |  | ) |

CV_WRAP cv::VideoWriter::VideoWriter | ( | const string & | filename,
|  | int | fourcc,
|  | double | fps,
|  | Size | frameSize,
|  | bool | isColor = `true`
| ) |  |

virtual cv::VideoWriter::~VideoWriter | ( |  | ) |
| virtual

## Member Function Documentation

virtual CV_WRAP bool cv::VideoWriter::isOpened | ( |  | ) | const
| virtual

virtual CV_WRAP bool cv::VideoWriter::open | ( | const string & | filename,
|  | int | fourcc,
|  | double | fps,
|  | Size | frameSize,
|  | bool | isColor = `true`
| ) |  |
| virtual

virtual VideoWriter& cv::VideoWriter::operator<< | ( | const Mat & | image | ) |
| virtual

virtual CV_WRAP void cv::VideoWriter::write | ( | const Mat & | image | ) |
| virtual

## Member Data Documentation

Ptr<CvVideoWriter> cv::VideoWriter::writer
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/highgui/include/opencv2/highgui/highgui.hpp